%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir       %{moduledir}/drivers
#define gitdate 20140503
#define gitrev .%{gitdate}

Summary:   Xorg X11 freedreno driver
Name:      xorg-x11-drv-freedreno
Version:   1.1.0
Release:   2%{?gitrev}%{?dist}
URL:       http://www.x.org
License:   MIT
Group:     User Interface/X Hardware Support

%if 0%{?gitdate}
Source0:    xf86-video-freedreno-%{gitdate}.tar.bz2
%else
Source0:    http://xorg.freedesktop.org/archive/individual/driver/xf86-video-freedreno-%{version}.tar.bz2
%endif
Source2:    make-git-snapshot.sh

ExclusiveArch: %{arm}

BuildRequires: kernel-headers >= 2.6.32.3
BuildRequires: pkgconfig(libdrm_freedreno)
BuildRequires: pkgconfig(xatracker)
BuildRequires: libudev-devel
BuildRequires: libXext-devel 
BuildRequires: libXrandr-devel 
BuildRequires: libXv-devel
BuildRequires: mesa-libGL-devel >= 6.5-9
BuildRequires: xorg-x11-server-devel >= 1.4.99.1-0.15
BuildRequires: autoconf automake libtool

Requires: Xorg %(xserver-sdk-abi-requires ansic)
Requires: Xorg %(xserver-sdk-abi-requires videodrv)

%description 
X.Org X11 freedreno driver for qualcomm based ARM devices.

%if 0%{?gitdate}
%define dirsuffix %{gitdate}
%else
%define dirsuffix %{version}
%endif

%prep
%setup -q -n xf86-video-freedreno-%{?gitdate:%{gitdate}}%{!?gitdate:%{dirsuffix}}

%build
%{?gitdate:autoreconf -v --install}

%configure --disable-static  --libdir=%{_libdir} --mandir=%{_mandir}
make %{?_smp_mflags} V=1

%install
make install DESTDIR=$RPM_BUILD_ROOT

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%files
%doc NEWS
%{driverdir}/freedreno_drv.so
%{_mandir}/man4/freedreno.4*

%changelog
* Sat May 17 2014 Dennis Gilmore <dennis@ausil.us> - 1.1.0-2
- enable XA support

* Sat May 17 2014 Dennis Gilmore <dennis@ausil.us> - 1.1.0-1
- update to 1.1.0 release

* Thu May 01 2014 Dennis Gilmore <dennis@ausil.us> - 1.0.0-1.20140503
- initial packaging

